Get all orders
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/commerce/ordersimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/commerce/orders"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/commerce/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"source_ref": {
"id": "<string>",
"model": "<string>"
},
"discount_amount": 123,
"untaxed_amount_without_fees": 123,
"tax_amount_without_fees": 123,
"total_without_fees": 123,
"current_untaxed_amount": 123,
"current_tax_amount": 123,
"current_total": 123,
"untaxed_amount": 123,
"tax_amount": 123,
"total": 123,
"currency": "<string>",
"lines": [
{
"id": "<string>",
"source_ref": {
"id": "<string>",
"model": "<string>"
},
"quantity": 123,
"current_quantity": 123,
"unit_price": 123,
"description": "<string>",
"tax_rate": 123,
"untaxed_amount": 123,
"tax_amount": 123,
"total": 123,
"created_on": "2023-11-07T05:31:56Z",
"variant": {
"id": "<string>",
"name": "<string>",
"sku": "<string>",
"categories": []
},
"tax_id": "<string>",
"discounts": [],
"gift_card": false,
"is_gift": false
}
],
"order_number": "<string>",
"customer": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"internal_notes": "<string>",
"email": "<string>"
},
"billing_address": {
"company_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"street": "<string>",
"number": "<string>",
"box": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "<string>",
"vat": "<string>"
},
"shipping_address": {
"company_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"street": "<string>",
"number": "<string>",
"box": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "<string>",
"vat": "<string>"
},
"created_on": "2023-11-07T05:31:56Z",
"last_updated_on": "2023-11-07T05:31:56Z",
"confirmed_on": "2023-11-07T05:31:56Z",
"delivery_date": "2023-11-07T05:31:56Z",
"cancelled_on": "2023-11-07T05:31:56Z",
"fulfillment": {
"shipping_from_address": {
"name": "<string>",
"number": "<string>",
"box": "<string>",
"phone": "<string>",
"mobile": "<string>",
"email": "<string>",
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
},
"refunded_amount": 0,
"note": "<string>",
"tags": [],
"other_fees": [],
"payment_method_id": "<string>",
"transactions": [],
"payment_methods": [],
"detailed_refunds": [
{
"id": "<string>",
"source_ref": {
"id": "<string>",
"model": "<string>"
},
"total": 123,
"created_on": "2023-11-07T05:31:56Z",
"reason": "<string>",
"order_lines": [],
"other": 0,
"shipping_refunds": [],
"other_fees": [],
"transactions": []
}
],
"returns": []
}
],
"total": 1,
"page": 2,
"size": 2
}Orders
Get all orders
Returns a list of all the orders
GET
/
consumers
/
{consumer_id}
/
commerce
/
orders
Get all orders
Path Parameters
Query Parameters
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Filter orders created at or after this date (e.g. 2023-01-31)
Filter orders created at or before this date (e.g. 2023-01-31)
Filter orders last updated at or after this date (e.g. 2023-01-31T15:00:00 for 31 of January 2023 at 3PM UTC). UTC is the only format that is supported on all connectors.
Include detailed information concerning refunds
Available options:
true, false Include detailed information about categories
Available options:
true, false Include detailed information about customer
Available options:
true, false ⌘I